function val = val_uh(x,uh,N)

% evaluates the discrete function \sum_{i=1}^n uh_i phi_i(x)
% parameters:
% x: evaluation points
% uh: coefficient vector for the basis functions 
% N: number of interior nodes

if(length(uh)~=N)
  disp('Error. Length uh must be equal to N');
  return
end

val = zeros(length(x),1);

h=1/(N+1);
I = (0:h:1);

for k=1:N
  
  idx1 = find(((x>=I(k))+(x<=I(k+1)))==2);
  idx2 = find(((x>I(k+1))+(x<=I(k+2)))==2);
  
  val(idx1) = val(idx1)+ uh(k)*(phi(x(idx1),h,k,'l'));
  val(idx2) = val(idx2)+ uh(k)*(phi(x(idx2),h,k,'r'));         
end

end


